%define name    syslog-ng
%define version 3.2.4
%define release %mkrel 1
# syslog-ng is now plugins based
%define _disable_ld_no_undefined 1

%define major 0
%define libname %mklibname syslog-ng %{major}
%define develname %mklibname syslog-ng -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Syslog-ng daemon
Group:		System/Kernel and hardware
License:	GPL
Url:		http://www.balabit.com/products/syslog_ng/
Source0: 	http://www.balabit.com/downloads/files/syslog-ng/open-source-edition/%{version}/source/%{name}_%{version}.tar.gz
Source1:	syslog-ng.sysconfig
Source2:	syslog-ng.init
Source3:	syslog-ng.conf
Source4:	syslog-ng.logrotate
Source5:	http://www.balabit.com/dl/guides/syslog-ng-ose-v3.2-guide-admin-en_0.pdf
Source6:	syslog-ng.sleep
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	libol-devel >= 0.2.23
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	eventlog-devel
BuildRequires:	glib2-devel
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel
BuildRequires:	dbi-devel
Provides:       syslog-daemon
Requires(post):	ccp
Requires(post):	rpm-helper
Requires(preun):rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Syslog-ng, as the name shows, is a syslogd replacement, but with new
functionality for the new generation. The original syslogd allows
messages only to be sorted based on priority/facility pairs; syslog-ng
adds the possibility to filter based on message contents using regular
expressions. The new configuration scheme is intuitive and powerful.
Forwarding logs over TCP and remembering all forwarding hops makes it
ideal for firewalled environments.

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          Development/C

%description -n %{libname}
The libraries for %{name}.

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel
Requires:       %{libname} = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}

cp %{SOURCE5} syslog-ng-ose-v3.2-guide-admin-en_0.pdf

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x \
    --sbindir=/sbin \
    --sysconfdir=%{_sysconfdir}/syslog-ng \
    --localstatedir=%{_localstatedir}/lib/syslog-ng \
    --datadir=%{_datadir}/syslog-ng \
    --libdir=/%{_lib} \
    --with-pidfile-dir=%{_localstatedir}/run \
    --with-module-dir=/%{_lib}/syslog-ng \
    --enable-dynamic-linking \
    --enable-ipv6 \
    --enable-tcp-wrapper \
    --enable-spoof-source \
    --enable-ssl \
    --enable-pacct
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# init script
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/syslog-ng
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/syslog-ng
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/syslog-ng/syslog-ng.conf
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644  %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/syslog-ng
install -d -m 755 %{buildroot}%{_libdir}/pm-utils/sleep.d
install -m 755 %{SOURCE6} %{buildroot}%{_libdir}/pm-utils/sleep.d/05syslog-ng

install -d -m 755 %{buildroot}%{_sysconfdir}/syslog-ng/syslog-ng.d
install -d -m 755 %{buildroot}%{_sysconfdir}/syslog-ng/patterndb.d
install -d -m 755 %{buildroot}%{_localstatedir}/lib/syslog-ng

%post
ccp -i -d --set NoOrphans \
    -o %{_sysconfdir}/syslog-ng/syslog-ng.conf \
    -n %{_sysconfdir}/syslog-ng/syslog-ng.conf.rpmnew
ccp -i -d --set NoOrphans \
    -o %{_sysconfdir}/sysconfig/syslog-ng \
    -n %{_sysconfdir}/sysconfig/syslog-ng.rpmnew
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
rm -rf %{buildroot}

%triggerprein -- syslog-ng < 3.2
# move the configuration files in new location
if [ ! -d /etc/syslog-ng ]; then
    mkdir /etc/syslog-ng
    mv /etc/syslog-ng.conf /etc/syslog-ng
    mv /etc/syslog-ng.d /etc/syslog-ng
    mv /etc/patterndb.d /etc/syslog-ng
fi

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog NEWS VERSION
%doc doc/examples doc/security doc/xsd
%doc syslog-ng-ose-v3.2-guide-admin-en_0.pdf
%dir %{_sysconfdir}/syslog-ng  
%dir %{_sysconfdir}/syslog-ng/syslog-ng.d 
%dir %{_sysconfdir}/syslog-ng/patterndb.d
%config(noreplace) %{_sysconfdir}/syslog-ng/syslog-ng.conf  
%config(noreplace) %{_sysconfdir}/syslog-ng/modules.conf  
%config(noreplace) %{_sysconfdir}/syslog-ng/scl.conf  
%config(noreplace) %{_sysconfdir}/sysconfig/syslog-ng
%config(noreplace) %{_sysconfdir}/logrotate.d/syslog-ng
%{_initrddir}/syslog-ng
/sbin/syslog-ng
/sbin/syslog-ng-ctl
/%{_lib}/syslog-ng
%{_bindir}/loggen
%{_bindir}/pdbtool
%{_bindir}/update-patterndb
%{_libdir}/pm-utils/sleep.d/05syslog-ng
%{_datadir}/syslog-ng
%{_mandir}/man1/pdbtool.1*
%{_mandir}/man1/loggen.1*
%{_mandir}/man1/syslog-ng-ctl.1*
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*
%{_localstatedir}/lib/syslog-ng

%files -n %{libname}
%defattr(-,root,root)
/%{_lib}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
/%{_lib}/*.so
/%{_lib}/*.la


%changelog
* Thu May 12 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.4-1mdv2011.0
+ Revision: 673917
- update to new version 3.2.4

* Mon May 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.3-1
+ Revision: 662718
- update to new version 3.2.3

* Sun Jan 16 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.2-2
+ Revision: 631158
- new version
- ensure logrotate configuration get installed (#62217)
- let init script handle conditional reload

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.1-2mdv2011.0
+ Revision: 609663
- rebuilt against new libdbi

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.1-1mdv2011.0
+ Revision: 601850
- new version

* Mon Oct 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-0.beta1.2mdv2011.0
+ Revision: 586603
- enable pacct support
- allow plugins to be underlinked

* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-0.beta1.1mdv2011.0
+ Revision: 586096
- new beta version

* Tue Oct 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-0.git.1mdv2011.0
+ Revision: 585240
- new git snapshot (nearly beta1)
- configuration files are now in /etc/syslog-ng directory, and package upgrade
  should take care of transferring them
- use configuration switches instead of patches to fix files location

* Fri Aug 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.2-1mdv2011.0
+ Revision: 566501
- new version
- drop previous patch moving patterndb to /usr/share/syslog-ng instead of /var
- move all variable files under /var/lib/syslog-ng instead of /var

* Wed Jun 09 2010 Raphaël Gertz <rapsys@mandriva.org> 3.1.1-2mdv2010.1
+ Revision: 547311
- Fix release for rebuild
- Add merge config

* Mon Apr 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.1-1mdv2010.1
+ Revision: 533706
- new version

  + Funda Wang <fwang@mandriva.org>
    - rebuild

* Fri Mar 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.0-1mdv2010.1
+ Revision: 527592
- 3.1.0 final

  + Raphaël Gertz <rapsys@mandriva.org>
    - Remove tabs for 4spaces indentation
      Enable dir creation to avoid initial start fail on empty system

* Tue Feb 23 2010 Raphaël Gertz <rapsys@mandriva.org> 3.1-0.beta2.4mdv2010.1
+ Revision: 510435
- Add resume syslog-ng restart script
  Fix low number of max-connexion (#55807)
  Fix logrotate script

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-0.beta2.3mdv2010.1
+ Revision: 496474
- fix configuration file syntax

* Sun Jan 24 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-0.beta2.2mdv2010.1
+ Revision: 495360
- cosmetics: get back to plain spaces for indentation in configuration file
- set catchall flag to all log statements, in order to catch more easily content from external sources (such as postfix chroot)

* Thu Dec 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-0.beta2.1mdv2010.1
+ Revision: 484535
- update to beta2

* Fri Dec 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-0.beta1.2mdv2010.1
+ Revision: 476400
- update admin guide
- init script: don't remove lock when reloading

* Thu Dec 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-0.beta1.1mdv2010.1
+ Revision: 473023
- use /etc/syslog-ng.d directory for splitted configuration files
- update administrator guide
- new version

* Wed Oct 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.4-3mdv2010.0
+ Revision: 459853
- should start after network

* Fri Oct 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.4-2mdv2010.0
+ Revision: 457898
- add dbi-devel build dependency
- move pattern database default location to %%{_datadir}/%%{name}/patterndb.xml

* Thu Aug 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.4-1mdv2010.0
+ Revision: 418417
- new version
- drop merged patch
- drop undocumented %%postun hack

* Thu Jun 04 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0.1-6mdv2010.0
+ Revision: 382701
- rebuilt against libnet 1.1.3

* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-5mdv2010.0
+ Revision: 377827
- fix incorrect perms on init scripts, introduced in latest release

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 3.0.1-4mdv2009.1
+ Revision: 368104
- Add the same owner, group and perm as msec for log files
  Increase max-connections to avoid losing log
  Apply a patch reported upstream to resolve user correctly
  Change syslog-ng initscript file permissions to fit msec rule

* Sat Jan 31 2009 Raphaël Gertz <rapsys@mandriva.org> 3.0.1-3mdv2009.1
+ Revision: 335906
- Fix missing s in /var/log/daemons/errors.log file path
- Fix missing s in /var/log/daemons/errors.log file path

* Sat Jan 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 335896
- add admin guide
- make default configuration compatible with new version
- fix pid directory location

  + Michael Scherer <misc@mandriva.org>
    - fix missing option in configure, so the pidfile is correctly created, as spotted again by rapsys
    - adapt the config to new syslog ( as proposed by raphale gertz ), now syslog is a reserved word, among others

* Tue Jan 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 331909
- new version

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.0.10-1mdv2009.1
+ Revision: 324260
- New upstream release

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.0.9-2mdv2009.0
+ Revision: 269400
- rebuild early 2009.0 package (before pixel changes)

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 2.0.9-1mdv2009.0
+ Revision: 208579
- New version 2.0.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.0.6-1mdv2008.1
+ Revision: 132087
- New release 2.0.6

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Jérôme Soyer <saispo@mandriva.org> 2.0.5-1mdv2008.1
+ Revision: 101437
- New release 2.0.5

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-4mdv2008.0
+ Revision: 75199
- add a sysconfig file

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-3mdv2008.0
+ Revision: 75191
- rewrite init script
- sanitize reference documentation
- provides syslog-dameon

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-2mdv2008.0
+ Revision: 53700
- sync default configuration file with sysklogd one, and set maximum connection number (fix #30790 and #31817)

* Fri Jun 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-1mdv2008.0
+ Revision: 45712
- new version


* Fri Jan 27 2006 Michael Scherer <misc@mandriva.org> 1.6.9-1mdk
- New release 1.6.9
- remove syslog logrotate file, fix bug #20745

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 1.6.8-4mdk
- don't pretend syslog-ng provides syslog-daemon,
  and conflict with sysklogd not to break logrotate (#20745)

* Sat Aug 27 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-3mdk
- There was still missing parts of syslog-ng.conf provided that needed
  to be synced with sysklogd one (to have the same functionality),
  closes #13326.

* Wed Jul 13 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-2mdk
- Fixed permissions of source files (rpmlint).
- Fix rpmlint warning: W: syslog-ng summary-ended-with-dot Syslog-ng daemon.

* Thu Jul 07 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-1mdk
- New upstream Version: 1.6.9.
- Modified post scripts to not add syslog-ng service enabled by default,
  and stop/restart syslog-ng service if it's running on package
  uninstallation/upgrade.
- Enabled i18n support and enhanced screen messages inside syslog-ng init
  script.
- Sync syslog-ng.conf file provided with current syslogd configurations
  from mandriva.
- Added missing requires.
- Fix bug #13328: "syslog-ng does not need klogd". With this also added
  logrotate for syslog logs along with syslog-ng, that fixes too a bug
  when syslog-ng stops logging after a weekly logrotate. syslog-ng
  doesn't requires sysklogd package anymore.
- Added Provides for syslog-daemon (may be with this we can make all
  syslog daemons like metalog or sysklogd to provide a common
  meta-package, giving choice for the user).

* Thu Oct 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-1mdk
- 1.6.5 (I forgot)
- regenerate P0
- fix an error in syslog-ng.conf (S3)
- spec fixes

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.17-5mdk
- changes all error destinations from "/var/log/*/error" to "/var/log/*/errors" (Andre Nathan)

* Wed May 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.17-4mdk
- rebuild

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 1.4.17-3mdk
- buildrequires

